Vladimir K (aqu0s_live) wrote in ru_mac,
Vladimir K
aqu0s_live
ru_mac

Category:

Xcode 8 на High Sierra (10.13.1)

Доброй ночи всем. Короче говоря, обновил я свой мак на последнюю ОС, но не учел один момент, а именно версии икскода их совместимости с macOS. Изначально мне нужен был конкретно этот мак для работы в xcode с SDK под iOS 10.3 и swift 3 версии. Но так-то я не учел, что с high sierra идет сейчас в AppStore только с xcode 9, она с SDK под iOS 11, и полноценно работает только с swift 4. Поэтому теперь есть два стула выхода:
1) Возможно ли работать в xcode 8.3.3 на 10.13.1? Сам xcode app запускается, но будет ли корректно работать все это дело? Я так понимаю, что там нужно какие-то компоненты вручную подтянуть, как минимум (до этого момента я ставил xcode только из App Store). Я раньше не работал особо в xcode, поэтому не знаю, какие могут быть трудности в этом деле.
2) Откатиться на 10.9.5 из тайм машины со свежего бекапа и оттуда уже обновится (без потери данных) до 10.12, на которой с xcode 8 проблем уже точно не будет.
Tags: os x (системные вопросы), sierra, software (общие вопросы ПО), разработка|программирование
Subscribe
  • Post a new comment

    Error

    Comments allowed for members only

    Anonymous comments are disabled in this journal

    default userpic

    Your IP address will be recorded 

  • 7 comments